import { compose, createRouteHandler } from './util.js';
export class HttpRouter {
    constructor() {
        this.composed = null;
    }
    getComposedHandler() {
        if (!this.composed) {
            const fns = this.routes.map(_ => createRouteHandler(_));
            this.composed = compose(fns);
        }
        return this.composed;
    }
    async handle(ctx, next) {
        return await this.getComposedHandler()(ctx, next);
    }
}
//# sourceMappingURL=HttpRouter.js.map