var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import fs from 'node:fs';
import { dep, Mesh } from 'mesh-ioc';
import { invokeStatusChecks } from '../status-check.js';
const pkg = JSON.parse(fs.readFileSync('package.json', 'utf-8'));
export class HttpStatusHandler {
    async handle(ctx, next) {
        if (ctx.method === 'GET' && ctx.path === '/status') {
            return await this.runStatusChecks(ctx);
        }
        return next();
    }
    async runStatusChecks(ctx) {
        const checks = await invokeStatusChecks(this.mesh);
        ctx.responseBody = {
            version: pkg.version,
            ...checks,
        };
        ctx.status = 200;
        ctx.log = false;
    }
}
__decorate([
    dep(),
    __metadata("design:type", Mesh)
], HttpStatusHandler.prototype, "mesh", void 0);
//# sourceMappingURL=HttpStatusHandler.js.map