import { createMemberDecorator, findMembers } from 'mesh-decorators';
const DECORATOR_NAME = '@nodescript/http/status-check';
export const statusCheck = createMemberDecorator(DECORATOR_NAME);
export async function invokeStatusChecks(mesh) {
    const res = {};
    const refs = findMembers(DECORATOR_NAME, mesh);
    const promises = refs.map(ref => ref.target[ref.memberName]());
    const results = await Promise.all(promises);
    for (const [i, ref] of refs.entries()) {
        res[ref.target.constructor.name] = results[i];
    }
    return res;
}
//# sourceMappingURL=status-check.js.map